Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.core.model
Class ServiceProviderCatalog

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.oslc4j.core.model.ServiceProviderCatalog

All Implemented Interfaces:
  IExtendedResource, IResource

    public final class ServiceProviderCatalog

extends AbstractResource

Constructor Summary
`ServiceProviderCatalog()`

Method Summary
`void` | `addDomain(URI domain)`
`void` | `addDomains(Collection<URI> domains)`
`void` | `addServiceProvider(ServiceProvider serviceProvider)`
`String` | `getDescription()`
`URI[]` | `getDomains()`
`OAuthConfiguration` | `getOauthConfiguration()`
`Publisher` | `getPublisher()`
`URI[]` | `getReferencedServiceProviderCatalogs()`
`ServiceProvider[]` | `getServiceProviders()`
`String` | `getTitle()`
`void` | `removeDomain(URI domain)`
`void` | `removeDomains(Collection<URI> domains)`
`void` | `removeServiceProvider(ServiceProvider serviceProvider)`
`void` | `setDescription(String description)`
`void` | `setDomains(URI[] domains)`
`void` | `setOauthConfiguration(OAuthConfiguration oauthConfiguration)`
`void` | `setPublisher(Publisher publisher)`
`void` | `setReferencedServiceProviderCatalogs(URI[] referencedServiceProviderCatalogs)`
`void` | `setServiceProviders(ServiceProvider[] serviceProviders)`
`void` | `setTitle(String title)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceProviderCatalog

    public ServiceProviderCatalog()

Method Detail

### addDomain

    public void addDomain(URI domain)

### addDomains

    public void addDomains(Collection<URI> domains)

### addServiceProvider

    public void addServiceProvider(ServiceProvider serviceProvider)

### getDescription

    public String getDescription()

### getDomains

    public URI[] getDomains()

### getOauthConfiguration

    public OAuthConfiguration getOauthConfiguration()

### getPublisher

    public Publisher getPublisher()

### getReferencedServiceProviderCatalogs

    public URI[] getReferencedServiceProviderCatalogs()

### getServiceProviders

    public ServiceProvider[] getServiceProviders()

### getTitle

    public String getTitle()

### removeDomain

    public void removeDomain(URI domain)

### removeDomains

    public void removeDomains(Collection<URI> domains)

### removeServiceProvider

    public void removeServiceProvider(ServiceProvider serviceProvider)

### setDescription

    public void setDescription(String description)

### setDomains

    public void setDomains(URI[] domains)

### setOauthConfiguration

    public void setOauthConfiguration(OAuthConfiguration oauthConfiguration)

### setPublisher

    public void setPublisher(Publisher publisher)

### setReferencedServiceProviderCatalogs

    public void setReferencedServiceProviderCatalogs(URI[] referencedServiceProviderCatalogs)

### setServiceProviders

    public void setServiceProviders(ServiceProvider[] serviceProviders)

### setTitle

    public void setTitle(String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.